Bug 998776 - [abrt] remmina-1.0.0-7.fc19: g_source_destroy_internal: Process /usr/bin/remmina was killed by signal 6 (SIGABRT)
[abrt] remmina-1.0.0-7.fc19: g_source_destroy_internal: Process /usr/bin/remm...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:37b8bbedfcee3c6e6044aa842d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 00:14 EDT by 2cpeter@gmail.com
Modified: 2014-08-18 05:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 05:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.63 KB, text/plain)
2013-08-20 00:14 EDT, 2cpeter@gmail.com
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 00:14 EDT, 2cpeter@gmail.com
no flags Details
File: core_backtrace (8.85 KB, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: dso_list (10.29 KB, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: environ (1.38 KB, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: maps (52.84 KB, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: open_fds (721 bytes, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-08-20 00:15 EDT, 2cpeter@gmail.com
no flags Details

  None (edit)
Description 2cpeter@gmail.com 2013-08-20 00:14:54 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        remmina -i
crash_function: g_source_destroy_internal
executable:     /usr/bin/remmina
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Binary file /var/log/messages matches

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 g_source_destroy_internal at gmain.c:1200
 #11 gtk_main at gtkmain.c:1156
Comment 1 2cpeter@gmail.com 2013-08-20 00:14:57 EDT
Created attachment 788291 [details]
File: backtrace
Comment 2 2cpeter@gmail.com 2013-08-20 00:14:59 EDT
Created attachment 788292 [details]
File: cgroup
Comment 3 2cpeter@gmail.com 2013-08-20 00:15:01 EDT
Created attachment 788293 [details]
File: core_backtrace
Comment 4 2cpeter@gmail.com 2013-08-20 00:15:04 EDT
Created attachment 788294 [details]
File: dso_list
Comment 5 2cpeter@gmail.com 2013-08-20 00:15:06 EDT
Created attachment 788295 [details]
File: environ
Comment 6 2cpeter@gmail.com 2013-08-20 00:15:09 EDT
Created attachment 788296 [details]
File: limits
Comment 7 2cpeter@gmail.com 2013-08-20 00:15:12 EDT
Created attachment 788297 [details]
File: maps
Comment 8 2cpeter@gmail.com 2013-08-20 00:15:17 EDT
Created attachment 788298 [details]
File: open_fds
Comment 9 2cpeter@gmail.com 2013-08-20 00:15:19 EDT
Created attachment 788299 [details]
File: proc_pid_status
Comment 10 Christoph Wickert 2014-05-22 07:35:23 EDT
Assigning bug to new package maintainer.
Comment 11 Pavel Alexeev 2014-08-18 05:16:28 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.